basePathForIcons = 'styles/paper/'
basePathForCommonIcons = 'images/common/'

DFrameAPI.preLoadImagesForButtonImage('CloseDFrame', basePathForCommonIcons,'close-off.gif', 'close-on.gif', 'close-off.gif', 'close-on.gif')
DFrameAPI.preLoadImagesForButtonImage('arrows', basePathForCommonIcons,'menuArrow-Close.gif', '', 'menuArrow-Open.gif', '')
//===============================================================================
//									ButtonStyle									|
//===============================================================================
var buttonStyle = new ButtonStyle ()
buttonStyle.setBordersWidth (1)
buttonStyle.setBordersColor ('white')

buttonStyle.setWidth (150)
buttonStyle.setAutoWidth('LABEL')
buttonStyle.setHeight (20)
buttonStyle.setFontFamily ('MS Sans Serif,Arial,Helvetica,sans-serif')
buttonStyle.setFontSize (2)
buttonStyle.setActivateOn ('DOWN');

buttonStyle.setTextNormal ('#000000')
buttonStyle.setBgNormal ('B5B2B7')
buttonStyle.setBosNormal (false)
buttonStyle.setIosNormal (false)
buttonStyle.setBordersNormal (true) 

buttonStyle.copyStyle('Normal', 'Roll')
buttonStyle.setTextRoll ('#000084')
buttonStyle.setBordersRoll ('ThreeD')

buttonStyle.copyStyle('Roll', 'Down')
buttonStyle.setBordersDown ('ThreeDInv')
buttonStyle.copyStyle('Normal', 'Selected')
buttonStyle.copyStyle('Roll', 'RollSelected')
//===============================================================================
//									menuStyle									|
//===============================================================================
var menuStyle = new MenuStyle ()
menuStyle.setBordersWidth (0)
menuStyle.setIsTree(true)

menuStyle.setArrowImage('arrows')
//-------------------------------------------------------
//							defaultButtonStyle			|
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
menuStyle.setDefaultButtonStyle(x)
//-------------------------------------------------------
//									itemsStyle			|
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
x.setActivateOn ('DOWN');
menuStyle.setItemsStyle(x)
//===============================================================================
//									barStyle									|
//===============================================================================
var barStyle = new BarStyle ()

barStyle.setPos ('RIGHT')
barStyle.setStartFrom('BOTTOM')
barStyle.setBordersVMargin(5)
barStyle.setBordersWidth(0)
barStyle.setWidth(150)
barStyle.setItemsVSpacing(-1)
//-------------------------------------------------------
//							defaultButton/Menu Styles	|
//-------------------------------------------------------
barStyle.setDefaultButtonStyle(buttonStyle)
barStyle.setDefaultMenuStyle(menuStyle)
//===============================================================================
//									dFrameStyle									|
//===============================================================================
var dFrameStyle = new DFrameStyle ()
dFrameStyle.setPos ([0,0,100,100])
dFrameStyle.setContentBgColor (null)
dFrameStyle.setBordersWidth(0)
dFrameStyle.setIBordersWidth(1)
dFrameStyle.setIBordersType('ThreedInv')

dFrameStyle.setBackgroundImage(basePathForIcons + 'Back1.jpg')
dFrameStyle.setContentBgImage(basePathForIcons + 'Back2.gif')
//-------------------------------------------------------
//							defaultBarStyle				|
//-------------------------------------------------------
dFrameStyle.setDefaultBarStyle(barStyle)

//Default ContextMenu --------------------------------
var x = new MenuStyle(menuStyle)
dFrameStyle.setDefaultContextMenuStyle(x)
//-------------------------------------------------------
//							defaultTaskBarStyle			|
//-------------------------------------------------------
var x = new ButtonStyle(buttonStyle)
x.setBordersSelected ('ThreeDInv') 

var y = new BarStyle(barStyle)
y.setDefaultButtonStyle(x)
y.setPos([0,51,'150',100])
y.setStartFrom('TOP')
y.setItemsHAlign('LEFT')
dFrameStyle.setDefaultTaskBarStyle(y)
//===============================================================================
//									defaultTitleBarStyle						|
//===============================================================================
var x = new BarStyle(barStyle)
x.setBackgroundColor('silver')
x.setBordersWidth(0)
x.setBordersHMargin(5)
x.setBordersVMargin(0)
x.setHeight(1)
x.setButtonImage('CloseDFrame', 'thisDFrame.closeFrame()')
var y = x.getDefaultButtonStyle()
y.setHeight(0)
y.setBordersWidth(0)
y.setLabelTopMargin(1)
y.setLabelBottomMargin(1)
y.setBgNormal(null)
y.setTextNormal('white')
y.setBosNormal(true)
dFrameStyle.setDefaultTitleBarStyle(x)


